/* *
 * This file is part of bufferpool
 *
 * Copyright (C) 2009 by LScube team <team@lscube.org>
 * See AUTHORS for more details
 *
 * bufferpool is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * bufferpool is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with bufferpool; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 * */

 /**
  * @file bp_internal.h
  * @brief bufferpool internal stuff
  * */

#ifndef BP_INTERNAL_H
#define BP_INTERNAL_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#ifndef FNC_LOG_DEBUG
#define FNC_LOG_DEBUG 4
#endif

#ifndef FNC_LOG_ERR
#define FNC_LOG_ERR 1
#endif

#ifndef FNC_LOG_FATAL
#define FNC_LOG_FATAL 0
#endif

#ifndef ERR_ALLOC
#define ERR_ALLOC   -4
#endif

#ifndef ERR_NOERROR
#define ERR_NOERROR  0
#endif

#define bp_lock(buffer) sem_wait(&buffer->control->syn)
#define bp_unlock(buffer) sem_post(&buffer->control->syn)

#endif //BP_INTERNAL_H
